| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- IsoMatch

# MsXpS::libXpertMassCore::Processing::IsoMatch Struct

struct MsXpS::libXpertMassCore::Processing::IsoMatch

The IsoMatch struct describes a match between a theoretical isotopic cluster centroid and a centroid of the input centroided mass spectrum (observed). More...

Header: | `#include <MsXpS/libXpertMassCore/Processing/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- IsoMatch is part of libXpertMassCore Data processing.

## Public Functions

QString | toString() const

## Public Variables

double | observedIntensity
double | observedMz
int | observedPeakIndex
int | theoreticalClusterIndex

## Detailed Description

This struct is used in support of the code that performs low mass deconvolution of a given input mass spectrum.

When performing matches between calculated isotopic clusters and input mass spectrum clusters, this struct documents a successful centroid match (not necessarily of the monoisotopic centroid).

## Member Function Documentation

### QString IsoMatch::toString() const

Crafts a string documenting this IsoMatch instance and returns it.

## Member Variable Documentation

### double IsoMatch::observedIntensity

Intensity value of the matching centroid in the input mass data.

### double IsoMatch::observedMz

m/z value of the matching centroid in the input mass data.

### int IsoMatch::observedPeakIndex

Index of the matching centroid in the input (experimental) isotopic cluster.

### int IsoMatch::theoreticalClusterIndex

Index of the matching centroid in the calculated isotopic cluster.